#  Het Electra script.  Krijgt 3 waardes.   EH, EL, EM.
#  De IDX waardes moeten handmatig opgehaald worden uit Domoticz.

import paho.mqtt.client as mqtt
import os

EH = "0"
EL = "0"
EM = "0" 
EHT = "0"
ELT = "0"
EMT = "0" 

def on_connect(client, userdata , flags, rc):
   print("Verbonden met RC = "+str(rc))
   client.subscribe("SM/EH")  
   client.subscribe("SM/EL")  
   client.subscribe("SM/EM")  

def on_message(client, userdata, msg):
   global EH
   global EL
   global EM
   global EHT
   global ELT
   global EMT

   data = msg.payload.decode()
   if msg.topic == "SM/EH":
     EH = str(msg.payload)
   if msg.topic == "SM/EL":
     EL = str(msg.payload)
   if msg.topic == "SM/EM":
     EM = str(msg.payload)

   commando = 'curl -s \"http://192.168.2.235:8080/json.htm?type=command&param=udevice&idx=11&nvalue=0&svalue=USAGE1;USAGE2;RETURN1;RETURN2;CONS;PROD\"' 
   commando = commando.replace("USAGE1",EH)
   commando = commando.replace("USAGE2",EL)
   commando = commando.replace("CONS",EM)
   commando = commando.replace("RETURN1",EHT)
   commando = commando.replace("RETURN2",ELT)
   commando = commando.replace("CONS",EM)
   commando = commando.replace("PROD",EMT)

   print (commando)
   os.system(commando)


client = mqtt.Client()
client.connect("192.168.2.235",1883,60)

client.on_connect = on_connect
client.on_message = on_message

client.loop_forever()


